<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda MAVI FARMACEUTICA :: Daniel Herreras Tello -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="https://edixcfdisecure.ekomercio.com/esquemas" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<xsl:output method="html" encoding="iso-8859-1"/>
<xsl:template match="/">
	<xsl:element name="Mavi">
		<xsl:element name="RfcProveedor">
			<xsl:value-of select="Datos/Emisor/@RFC"/>
		</xsl:element>
		<xsl:element name="NumProveedor">
			<xsl:value-of select="Datos/Emisor/@noProveedor"/>
		</xsl:element>
		<xsl:element name="FechaFacturacion">
			<xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/>
		</xsl:element>
		<xsl:element name="NumPedido">
			<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
		</xsl:element>
		<xsl:element name="CodMoneda">
			<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
			<xsl:choose>
				<xsl:when test="$tpomon = 0">
					<xsl:text>MXN</xsl:text>
				</xsl:when>
				<xsl:when test="$tpomon = 1">
					<xsl:text>MXN</xsl:text>
				</xsl:when>
				<xsl:when test="$tpomon = 2">
					<xsl:text>USD</xsl:text>
				</xsl:when>
				<xsl:when test="$tpomon = 3">
					<xsl:text>EUR</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
		<xsl:element name="MontoTotal">
			<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,'0.00')"/>
		</xsl:element>
		<xsl:variable name="partIVA" select="count(Datos/Documento/Impuestos/Impuesto[@Tipo='IVA'])"/>
		<xsl:choose>
			<xsl:when test="$partIVA &gt; 0">
				<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
					<xsl:if test="@Tipo='IVA'">
						<xsl:element name="IVA">
							<xsl:value-of select="format-number(@Importe,'0.00')"/>
						</xsl:element>
						<xsl:element name="PorcentajeIVA">
							<xsl:value-of select="format-number(@Porcentaje,'0.00')"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="IVA">
					<xsl:text>0.00</xsl:text>
				</xsl:element>
				<xsl:element name="PorcentajeIVA">
					<xsl:text>0.00</xsl:text>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:element name="NumFactura">
			<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
		</xsl:element>
		<xsl:element name="Serie">
			<xsl:value-of select="Datos/CFD/@Serie"/>
		</xsl:element>
		<xsl:element name="Folio">
			<xsl:value-of select="Datos/CFD/@Folio"/>
		</xsl:element>
	</xsl:element>
</xsl:template>
</xsl:stylesheet>